Why does this happen?

Well, it's a long story. But the short version is that Microsoft changed its browser, Internet Explorer (IE), substantially when it launched IE7. Because our site uses advanced functions that are not supported on IE6, PetMD will not be viewable on your computer.

 

What does that mean for you?

Unfortunately, it means that you will have to upgrade to IE7 or higher (here is the latest version), or you can enjoy our site on many of the other free web browsers available, such as Safari, Firefox, Chrome, Camino, etc.

 

Honestly, we don't like updating browsers either -- we'd rather have you surf our site happily -- but because we want to provide you with the most advanced web technology available, we can no longer support older browsers.

 

We thank you for your understanding and apologize if it should inconvenience in any way.

Have a question about your pet's health?

Ask a vet any question using the Just Answer module below!

 

The petMD Team